"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true,
});
exports.afterAll = void 0;

const testCollector_1 = require("../common/testCollector");

const utils_1 = require("../utils");

const hookBuilder_1 = require("./hookBuilder");

function afterAll(fn, timeout) {
  if (typeof fn === "function") {
    const trace = utils_1.getStackTrace();
    hookBuilder_1.hookBuilder({
      queueToAdd: testCollector_1.testCollector.afterAllFunctions,
      fn,
      trace,
      errorTitle: "AfterAllError",
      timeout,
    });
  }
}

exports.afterAll = afterAll;
